/*date-picker.js脚本不需打包，单独引用*/

import $ from 'jquery';
import Forms from './forms/form/form';
// import List from './elements/list/list';
// import DataTable from './container/datatables/datatables';
import BackTop from './elements/back-top/back-top';
import Loading from './elements/loading/loading';
import Tooltip from './elements/tooltip/tooltip';
import Popover from './elements/popover/popover';
import Message from './elements/message/message';
import Modal from './container/modal/modal';
import Input from './forms/input/input';
import Upload from './forms/upload/index';
import Select from './forms/select/select';
import Slider from './forms/slider/slider';
import Paging from './elements/paging/paging';
import './forms/switch/switch';
import Menu from './elements/menu/menu';

const doc = document;

(($) => {
  if (typeof $ === 'undefined') {
    throw new TypeError('Fuc.js\'s JavaScript requires jQuery. jQuery must be included before Fuc.js\'s JavaScript.');
  }

  // 解决低版本的 jquery 没有这个属性判断
  if ($.support.transition === undefined) {
    $.support.transition = (function () {
      const $div = doc.createElement('div');
      $div.style.display = 'none';

      const domPrefixes = 'Webkit Moz O ms Khtml'.split(' ');
      if ($div.style.transition !== undefined) {
        return true;
      }

      for (let i = 0; i < domPrefixes.length; i++) {
        if ($div.style[`${domPrefixes[i]}Transition`] !== undefined) {
          return true;
        }
      }

      return false;
    })();
  }

})($);

export {
  Forms,
  Input,
  Select,
  // List,
  BackTop,
  Loading,
  Modal,
  Upload,
  Tooltip,
  Popover,
  Message,
  Slider,
  // DataTable,
  Menu,
  Paging,
};
